## python-shade 0.6.1

=== requirements.txt ===
pbr>=0.5.21,<1.0

bunch
jsonpatch
os-client-config>=0.8.1
six

python-novaclient>=2.21.0
python-keystoneclient>=0.11.0
python-glanceclient
python-cinderclient
python-neutronclient>=2.3.10
python-troveclient
python-ironicclient>=0.5.1
python-swiftclient

dogpile.cache>=0.5.3

=== debian/changelog ===
python-shade (0.6.1-1) UNRELEASED; urgency=low

  * Initial release. Closes: #784710

 -- Clint Byrum <spamaps@debian.org>  Thu, 14 May 2015 15:22:27 -0700

=== debian/control ===
Source: python-shade
Section: python
Priority: extra
Maintainer: Clint Byrum <spamaps@debian.org>
Build-Depends: debhelper (>=9),
    dh-python,
	python-all,
    python-setuptools,
    python-pbr,
    python-sphinx,
    python-testtools,
    python-testrepository,
    python-dogpile.cache,
    python-os-client-config,
    python-mock,
    python-testscenarios,
    python-novaclient,
    python-keystoneclient,
    python-glanceclient,
    python-cinderclient,
    python-neutronclient,
    python-troveclient,
    python-ironicclient,
    python-swiftclient,
    python-bunch,
Standards-Version: 3.9.5
Homepage: https://pypi.python.org/pypi/shade
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-shade
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/python-shade
X-Python-Version: >= 2.7

Package: python-shade
Architecture: all
Depends: ${misc:Depends},${python:Depends}
Description: Client library for operating OpenStack clouds
 Shade is a simple Python client library for operating OpenStack
 clouds. The key word here is simple. Clouds can do many things - but
 there are probably only about 10 of them that most people care about
 with any regularity. If you want to do complicated things, you should
 probably use the lower level client libraries - or even the REST API
 directly. However, if what you want is to be able to write an application
 that talks to clouds no matter what choices the deployer has made then
 shade is for you.
 .
 This package installs the library for Python 2.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=shade

%:
		dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	python setup.py testr --slowest

## python-shade 1.5.1

=== requirements.txt ===
pbr>=0.11,<2.0

munch
decorator
jsonpatch
ipaddress
os-client-config>=1.13.0
requestsexceptions>=1.1.1
six

keystoneauth1>=1.0.0
netifaces>=0.10.4
python-novaclient>=2.21.0,!=2.27.0,!=2.32.0
python-keystoneclient>=0.11.0
python-glanceclient>=1.0.0
python-cinderclient>=1.3.1
python-neutronclient>=2.3.10
python-troveclient>=1.2.0
python-ironicclient>=0.10.0
python-swiftclient>=2.5.0
python-heatclient>=0.3.0

dogpile.cache>=0.5.3

=== debian/changelog ===
python-shade (1.5.1-0ubuntu1) xenial; urgency=medium

  * New upstream release (LP: #1555819), fixing FTBFS.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Mar 2016 09:19:57 +0000

python-shade (1.3.0-1) unstable; urgency=medium

  * New Upstream release.
  * Fixed SCM to point at git (Closes: #804548)
  * Respect DEB_BUILD_OPTOINS (Closes: #804550)
  * Add new build deps to pass test suite in new release.

 -- Clint Byrum <spamaps@debian.org>  Sat, 26 Dec 2015 07:48:24 -0800

python-shade (0.6.1-1) unstable; urgency=low

  * Initial release. Closes: #784710

 -- Clint Byrum <spamaps@debian.org>  Thu, 14 May 2015 15:22:27 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-shade
 Section: python
 Priority: extra
-Maintainer: Clint Byrum <spamaps@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Clint Byrum <spamaps@debian.org>
 Build-Depends: debhelper (>=9),
     dh-python,
 	python-all,
@@ -11,7 +12,7 @@
     python-testtools,
     python-testrepository,
     python-dogpile.cache,
-    python-os-client-config,
+    python-os-client-config (>= 1.13.0),
     python-mock,
     python-testscenarios,
     python-novaclient,
@@ -23,10 +24,20 @@
     python-ironicclient,
     python-swiftclient,
     python-bunch,
+    python-designateclient,
+    python-heatclient,
+    python-keystoneauth1,
+    python-ipaddress,
+    python-jsonpatch,
+    python-six,
+    python-munch,
+    python-requestsexceptions (>= 1.1.1),
+    python-decorator,
+    python-os-cloud-config,
 Standards-Version: 3.9.5
 Homepage: https://pypi.python.org/pypi/shade
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-shade
-Vcs-Browser: http://svn.debian.org/wsvn/python-modules/python-shade
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-shade.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-shade.git
 X-Python-Version: >= 2.7
 
 Package: python-shade

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,6 @@
 		dh $@ --with python2 --buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
 	python setup.py testr --slowest
+endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/shade/shade-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-shade 1.7.0

=== debian/changelog ===
python-shade (1.7.0-2) unstable; urgency=medium

  * Updated standards to v3.9.8, no changes required.
  * Add reference to /usr/share/common-licenses to address copyright-
    should-refer-to-common-license-file-for-apache-2 lintian error.
  * Adding python3 support.
    - Removing erroneous os-cloud-config dependency (shade doesn't
      relate to TripleO)
    - Replaced bunch with munch in build depends per upstream changes
  * Set DPMT as maintainer, demote me to Uploaders.

 -- Clint Byrum <spamaps@debian.org>  Wed, 02 Nov 2016 09:26:17 -0700

python-shade (1.7.0-1) unstable; urgency=medium

  [ Clint Byrum ]
  * New Upstream release. (Closes: #821197)
  * Add missing short license name to debian/copyright

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Clint Byrum ]
  * Newer version of os-client-config is required

 -- Clint Byrum <spamaps@debian.org>  Thu, 19 May 2016 06:29:37 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-shade
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Clint Byrum <spamaps@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Clint Byrum <spamaps@debian.org>
 Build-Depends: debhelper (>=9),
     dh-python,
 	python-all,
@@ -12,7 +12,7 @@
     python-testtools,
     python-testrepository,
     python-dogpile.cache,
-    python-os-client-config (>= 1.13.0),
+    python-os-client-config (>=1.13.0),
     python-mock,
     python-testscenarios,
     python-novaclient,
@@ -23,7 +23,7 @@
     python-troveclient,
     python-ironicclient,
     python-swiftclient,
-    python-bunch,
+    python-munch,
     python-designateclient,
     python-heatclient,
     python-keystoneauth1,
@@ -33,10 +33,36 @@
     python-munch,
     python-requestsexceptions (>= 1.1.1),
     python-decorator,
-    python-os-cloud-config,
-Standards-Version: 3.9.5
+    python3-all,
+    python3-setuptools,
+    python3-pbr,
+    python3-sphinx,
+    python3-testtools,
+    python3-testrepository,
+    python3-dogpile.cache,
+    python3-os-client-config (>=1.13.0),
+    python3-mock,
+    python3-testscenarios,
+    python3-novaclient,
+    python3-keystoneclient,
+    python3-glanceclient,
+    python3-cinderclient,
+    python3-neutronclient,
+    python3-troveclient,
+    python3-ironicclient,
+    python3-swiftclient,
+    python3-munch,
+    python3-designateclient,
+    python3-heatclient,
+    python3-keystoneauth1,
+    python3-jsonpatch,
+    python3-six,
+    python3-munch,
+    python3-requestsexceptions (>= 1.1.1),
+    python3-decorator,
+Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/shade
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-shade.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-shade.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-shade.git
 X-Python-Version: >= 2.7
 
@@ -54,3 +80,18 @@
  shade is for you.
  .
  This package installs the library for Python 2.
+
+Package: python3-shade
+Architecture: all
+Depends: ${misc:Depends},${python3:Depends}
+Description: Client library for operating OpenStack clouds
+ Shade is a simple Python client library for operating OpenStack
+ clouds. The key word here is simple. Clouds can do many things - but
+ there are probably only about 10 of them that most people care about
+ with any regularity. If you want to do complicated things, you should
+ probably use the lower level client libraries - or even the REST API
+ directly. However, if what you want is to be able to write an application
+ that talks to clouds no matter what choices the deployer has made then
+ shade is for you.
+ .
+ This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=shade

%:
		dh $@ --with python2 --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	python3 setup.py testr --slowest
	python setup.py testr --slowest
endif

## python-shade 1.20.0

=== debian/changelog ===
python-shade (1.20.0-1) unstable; urgency=medium

  * New upstream release.
  * add new build deps for upstream release

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 23 Oct 2017 17:34:34 +0100

python-shade (1.12.1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * add new build deps for upstream release

 -- Clint Byrum <spamaps@debian.org>  Thu, 03 Nov 2016 15:16:24 -0700

=== debian/control ===
--- 
+++ 
@@ -3,63 +3,67 @@
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Clint Byrum <spamaps@debian.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>=10),
     dh-python,
-	python-all,
-    python-setuptools,
+    python-all,
+    subunit,
+    python-concurrent.futures (>= 3.0),
+    python-coverage,
+    python-fixtures (>= 3.0),
     python-pbr,
     python-sphinx,
+    python-reno,
+    python-oslosphinx,
     python-testtools,
     python-testrepository,
     python-dogpile.cache,
-    python-os-client-config (>=1.13.0),
+    python-os-client-config (>=1.22.0),
     python-mock,
+    python-jmespath,
+    python-requests-mock,
     python-testscenarios,
-    python-novaclient,
-    python-keystoneclient,
-    python-glanceclient,
-    python-cinderclient,
-    python-neutronclient,
-    python-troveclient,
-    python-ironicclient,
-    python-swiftclient,
+    python-keystoneclient (>=3.8.0),
+    python-cinderclient (>=1.9.0),
+    python-neutronclient (>=5.1.0),
+    python-ironicclient (>=1.11.0),
+    python-designateclient (>=1.5.0),
     python-munch,
-    python-designateclient,
-    python-heatclient,
-    python-keystoneauth1,
+    python-decorator (>=3.4.0),
+    python-keystoneauth1 (>=2.18.0),
+    python-netifaces (>=0.10.4),
+    python-novaclient (>=6.0.0),
     python-ipaddress,
     python-jsonpatch,
     python-six,
-    python-munch,
-    python-requestsexceptions (>= 1.1.1),
-    python-decorator,
+    python-requestsexceptions (>= 1.1.2),
     python3-all,
-    python3-setuptools,
+    python3-coverage,
+    python3-fixtures (>= 3.0),
     python3-pbr,
     python3-sphinx,
+    python3-reno,
+    python3-oslosphinx,
     python3-testtools,
     python3-testrepository,
     python3-dogpile.cache,
-    python3-os-client-config (>=1.13.0),
+    python3-os-client-config (>=1.22.0),
     python3-mock,
+    python3-jmespath,
+    python3-requests-mock,
     python3-testscenarios,
-    python3-novaclient,
-    python3-keystoneclient,
-    python3-glanceclient,
-    python3-cinderclient,
-    python3-neutronclient,
-    python3-troveclient,
-    python3-ironicclient,
-    python3-swiftclient,
+    python3-keystoneclient (>=3.8.0),
+    python3-cinderclient (>=1.9.0),
+    python3-neutronclient (>=5.1.0),
+    python3-ironicclient (>=1.11.0),
+    python3-designateclient (>=1.5.0),
     python3-munch,
-    python3-designateclient,
-    python3-heatclient,
-    python3-keystoneauth1,
+    python3-decorator (>=3.4.0),
+    python3-keystoneauth1 (>=2.18.0),
+    python3-netifaces (>=0.10.4),
+    python3-novaclient (>=6.0.0),
     python3-jsonpatch,
     python3-six,
-    python3-munch,
-    python3-requestsexceptions (>= 1.1.1),
-    python3-decorator,
+    python3-requestsexceptions (>=1.1.2),
 Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/shade
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-shade.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=shade

%:
		dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e && for i in 2.7 3.5; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'shade\.tests\.unit\..*' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build
	rm -rf .testrepository
	rm -f AUTHORS
	rm -f ChangeLog
	rm -rf shade.egg-info

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-shade/usr/share/doc/python-os-client-config-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild

## python-shade 1.30.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

# shade depends on os-client-config in addition to openstacksdk so that it
# can continue to provide the make_legacy_client functions.
os-client-config>=1.28.0 # Apache-2.0
openstacksdk>=0.15.0 # Apache-2.0

=== debian/changelog ===
python-shade (1.30.0-2) unstable; urgency=medium

  * Team upload.
  * Completing d/copyright (Closes: #918671)

 -- Stewart Ferguson <stew@ferg.aero>  Sat, 12 Jan 2019 16:01:01 +0100

python-shade (1.30.0-1) unstable; urgency=medium

  [ Clint Byrum ]
  * New upstream release. (Closes: #882551)
  * add new build deps for upstream release

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Clint Byrum ]
  * change from testrepository to stestr per upstream change
  * split shade-inventory into new package and add man page
    (LP: #1770300) (Closes: #843353)
  * Updating Build-Depends based on upstream changes.

 -- Clint Byrum <spamaps@debian.org>  Mon, 07 Jan 2019 04:38:55 -0800

=== debian/control ===
Source: python-shade
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Clint Byrum <spamaps@debian.org>
Build-Depends: debhelper (>=9),
    dh-python,
	python-all,
    python-setuptools,
    python-pbr,
    python-sphinx,
    python-testtools,
    python-stestr,
    python-dogpile.cache,
    python-os-client-config (>=1.28.0),
    python-mock,
    python-testscenarios,
    python-openstacksdk (>=0.15.0),
    python-munch,
    python-keystoneauth1,
    python-ipaddress,
    python-jsonpatch,
    python-six,
    python-munch,
    python-requestsexceptions (>= 1.1.1),
    python-decorator,
    python-betamax,
    python-requests-mock,
    python3-all,
    python3-setuptools,
    python3-pbr,
    python3-sphinx,
    python3-testtools,
    python3-stestr,
    python3-dogpile.cache,
    python3-os-client-config (>=1.28.0),
    python3-mock,
    python3-testscenarios,
    python3-openstacksdk (>=0.15.0),
    python3-munch,
    python3-keystoneauth1,
    python3-jsonpatch,
    python3-six,
    python3-munch,
    python3-requestsexceptions (>= 1.1.1),
    python3-decorator,
    python3-betamax,
    python3-requests-mock,
    python3-argparse-manpage,
Standards-Version: 3.9.8
Homepage: https://pypi.python.org/pypi/shade
Vcs-Git: https://salsa.debian.org/python-team/modules/python-shade.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-shade

Package: python-shade
Architecture: all
Depends: ${misc:Depends},${python:Depends}
Description: Client library for operating OpenStack clouds
 Shade is a simple Python client library for operating OpenStack
 clouds. The key word here is simple. Clouds can do many things - but
 there are probably only about 10 of them that most people care about
 with any regularity. If you want to do complicated things, you should
 probably use the lower level client libraries - or even the REST API
 directly. However, if what you want is to be able to write an application
 that talks to clouds no matter what choices the deployer has made then
 shade is for you.
 .
 This package installs the library for Python 2.

Package: python3-shade
Architecture: all
Depends: ${misc:Depends},${python3:Depends}
Description: Client library for operating OpenStack clouds
 Shade is a simple Python client library for operating OpenStack
 clouds. The key word here is simple. Clouds can do many things - but
 there are probably only about 10 of them that most people care about
 with any regularity. If you want to do complicated things, you should
 probably use the lower level client libraries - or even the REST API
 directly. However, if what you want is to be able to write an application
 that talks to clouds no matter what choices the deployer has made then
 shade is for you.
 .
 This package installs the library for Python 3.

Package: shade-inventory
Architecture: all
Depends: ${misc:Depends},${python3:Depends},python3-shade (= ${source:Version})
Suggests: ansible
Description: Ansible inventory script for OpenStack clouds
 Shade is a simple Python client library for operating OpenStack
 clouds. The key word here is simple. Clouds can do many things - but
 there are probably only about 10 of them that most people care about
 with any regularity. If you want to do complicated things, you should
 probably use the lower level client libraries - or even the REST API
 directly. However, if what you want is to be able to write an application
 that talks to clouds no matter what choices the deployer has made then
 shade is for you.
 .
 This package installs a script that uses shade to query OpenStack
 clouds and produce a JSON inventory that is suitable for use as an
 Ansible inventory plugin.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=shade

%:
		dh $@ --with python2 --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install -O--buildsystem=pybuild
	rm -f debian/python*-shade/usr/bin/shade-inventory

override_dh_installman: debian/shade-inventory.1
	dh_installman -O--buildsystem=pybuild

debian/shade-inventory.1:
	PYTHONPATH=. argparse-manpage --pyfile shade/cmd/inventory.py --function get_parser --project shade-inventory --author OpenStack --author-email openstack-discuss@lists.openstack.org --url https://git.openstack.org/cgit/openstack-infra/shade > $@

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	python3-stestr run
	python3-stestr slowest
	python2-stestr run
	python2-stestr slowest
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/shade/shade-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-shade 1.31.0

=== debian/changelog ===
python-shade (1.31.0-0ubuntu1) eoan; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/control, d/rules: Drop Python 2 support.
  * d/*: wrap-and-sort -bast.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0001-Split-parser-creation-and-parser-for-inventory.patch:
    Dropped. Fixed upstream.
  * d/rules, d/control: Use pkgos-dh_auto_test to run tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Jul 2019 10:49:26 -0400

=== debian/control ===
Source: python-shade
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Clint Byrum <spamaps@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-argparse-manpage,
 python3-betamax,
 python3-decorator,
 python3-dogpile.cache,
 python3-jsonpatch,
 python3-keystoneauth1,
 python3-mock (>= 2.0.0),
 python3-munch,
 python3-openstacksdk (>= 0.15.0),
 python3-os-client-config (>= 1.28.0),
 python3-requests-mock (>= 1.2.0),
 python3-requestsexceptions (>= 1.1.1),
 python3-six,
 python3-stestr (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 3.9.8
Homepage: https://pypi.python.org/pypi/shade
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-shade
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-shade

Package: python3-shade
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-openstacksdk (>= 0.15.0),
 python3-os-client-config (>= 1.28.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Client library for operating OpenStack clouds
 Shade is a simple Python client library for operating OpenStack
 clouds. The key word here is simple. Clouds can do many things - but
 there are probably only about 10 of them that most people care about
 with any regularity. If you want to do complicated things, you should
 probably use the lower level client libraries - or even the REST API
 directly. However, if what you want is to be able to write an application
 that talks to clouds no matter what choices the deployer has made then
 shade is for you.
 .
 This package installs the library for Python 3.

Package: shade-inventory
Architecture: all
Depends:
 python3-shade (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 ansible,
Description: Ansible inventory script for OpenStack clouds
 Shade is a simple Python client library for operating OpenStack
 clouds. The key word here is simple. Clouds can do many things - but
 there are probably only about 10 of them that most people care about
 with any regularity. If you want to do complicated things, you should
 probably use the lower level client libraries - or even the REST API
 directly. However, if what you want is to be able to write an application
 that talks to clouds no matter what choices the deployer has made then
 shade is for you.
 .
 This package installs a script that uses shade to query OpenStack
 clouds and produce a JSON inventory that is suitable for use as an
 Ansible inventory plugin.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 export PYBUILD_NAME=shade
 
 %:
-		dh $@ --with python2 --with python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
 	dh_install -O--buildsystem=pybuild
@@ -16,8 +16,5 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	python3-stestr run
-	python3-stestr slowest
-	python2-stestr run
-	python2-stestr slowest
+	pkgos-dh_auto_test --no-py2
 endif
